Android Studio更新到3.1.2后的问题解决过程

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/NarcissusNumber/article/details/81140654

整天Android Studio都提示更新,强迫症看不下去了,也想用一下最新的IDE。所以今天把Android Studio从2.2更新到3.1.2。


第一次尝试:

在镜像网站下下来以后直接按流程做,打开以前做的程序,显示“Gradle project sync failed.”,底部提示“Error:connection reset”。

网上说是gradle下载不完全,按照方法进入distributionUrl中的网站,下载gradle压缩包进入C:\Users\test\.gradle\wrapper\dists\gradle-4.1-all\9br9xq1tocpiv8o6njlyu5op1覆盖后发现并没有解决问题。


第二次尝试:

接下来尝试用Android Studio自带的提示解决问题。Android Studio问题解决貌似是提示:升级plugin版本或者降低Gradle版本。用Android Studio提示方案后,sync终于成功!但是有5个warning,是因为在3.1.2版本中将compile变成了implementation和api这种问题。暂时不去管它。

但是仍有一些问题,如一些包的版本不一致,按照https://blog.csdn.net/yuzhiqiang_1993/article/details/78214812?locationNum=8&fps=1   中的方法使用exclude group方法 后发现一些方法不能使用。让人头大。。。绝望之中选择了第三种方法。


第三次尝试:

最后把电脑上的Android Studio相关文件包括.android,.gradle,.Android Studio3.1都卸载了,重新安装。按照https://blog.csdn.net/hackcoder/article/details/50321863 中的流程,但是貌似其中涉及到重新下载Gradle,感觉不连VPN下载可能仍然有问题。一狠心买了一个VPN,操作完后无Gradle project sync failed。把warning中的关键字都改为适合于Android3.0。无其他问题,但是加载旧项目仍然出现包的版本问题,但是activity中的方法仍能调用,运行程序闪退

因为想试试最新的版本(虽然不一定适合运行),把compileSdkVersion和targetSdkVersion改成28,从app-->Open Modle Setting-->Dependencies中添加appcomat-v7     28.0.0-alpha3recyclerview-v7    28.0.0-alpha3,appcamat-v7

appcomat-v7仍然报错,alt+enter按照Android Studio提示添加//noinspection GradleCompatible

sync倒是不再报错,但是运行程序出现“Program type already present:android.support.v4.accessibilityservice.AccessibilityServiceInfoCompat”

 

https://blog.csdn.net/zww986736788/article/details/80840803 中得知,少添加了:

 implementation 'com.android.support:support-v4:28.0.0-alpha3'

照样从Dependencies添加support-v4:

接下来再运行程序,成功在模拟器上运行,成功的那一刻感动到哭o(╥﹏╥)o

 

 

 

最后在build.gradle中的配置如下:

apply plugin: 'com.android.application'

android {
    compileSdkVersion 28
    buildToolsVersion '28.0.1'
    defaultConfig {
        applicationId "com.yanjin.helloworld"
        minSdkVersion 21
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

repositories {
    mavenCentral()
    maven { url 'https://maven.google.com' }
}


dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'


    })

    implementation 'com.android.support:appcompat-v7:28.0.0-alpha3'
    testImplementation 'junit:junit:4.12'
    implementation 'com.google.android.gms:play-services-appindexing:9.8.0'
    implementation 'com.github.bumptech.glide:glide:4.7.1'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.7.1'
    implementation 'com.android.support:recyclerview-v7:28.0.0-alpha3'
    implementation 'com.android.support:appcompat-v7:28.0.0-alpha3'
    implementation 'com.android.support:support-v4:28.0.0-alpha3'
}

总结:

 

编程就是这样,经常会遇到很多奇怪的问题,只能不断地百度,一个小问题可能要弄一天。这次更新出现的问题还不包括所有的问题,并且初学Android,还没完全弄懂原理,只是按照网上的经验照猫画虎罢了。

这次是第一次写博客来记录自己编程中遇到的问题和解决过程,文字撰写和逻辑上还有很多问题,以后要坚持写博客的习惯,温故知新,不断提高自己的能力。

 

展开阅读全文

没有更多推荐了,返回首页